changing the content view of a content host does not affect the content view of the (Foreman) host
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1123959
Description of problem:
When you edit a Content Host in Katello and change its content view, the change is saved successfully.

However, when you then visit that host in Foreman it is still using whatever content view was previously associated with it.
This disconnect presents a problem, | would think.

1) If I try to install a package, which CV is it coming from? Katello? Foreman?

2) If I try to add a puppet module, which CV is it coming from?

And so on and so forth.

Associated revisions

Revision 23eeae69 - 08/15/2014 09:23 AM - Brad Buckingham

fixes #7069 / BZ 1123959 - host<->content host - improve behavior when puppet env, lifecycle env or content view change

This commit is intended to improve the behavior between foreman host and
katello content host. More specifically,

- if the foreman host puppet environment changes, we'll attempt to update the content
host lifecycle environment and content view

- if the content host lifecycle environment and/or content view changes, we'll attempt
to update the foreman host puppet environment

Revision b6a44aef - 08/15/2014 01:56 PM - Brad Buckingham
Merge pull request #4583 from bbuckingham/issue-7069

fixes #7069 / BZ 1123959 - host<->content host - improve behavior when puppet env, lifecycle env or content view change

History

#1 - 08/13/2014 12:03 PM - Brad Buckingham

- Assignee set to Brad Buckingham

#2 - 08/14/2014 10:09 AM - Eric Helms
- Priority changed from Normal to High
- Target version set to 54

- Difficulty set to easy

- Triaged changed from No to Yes
#3 - 08/14/2014 02:14 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4583 added
- Pull request deleted ()

#4 - 08/15/2014 02:01 PM - Brad Buckingham
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|23eeae69798801d027209e1c45ddf8a3a09884f5.

#5 - 08/22/2014 09:29 AM - Eric Helms

- translation missing: en.field_release set to 13
